"use strict";
var common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  setup(__props) {
    setTimeout(() => {
      common_vendor.index.getStorage({
        key: "userData",
        success: ({ data }) => {
          if (data) {
            common_vendor.index.switchTab({
              url: "/pages/index/index"
            });
          } else {
            common_vendor.index.redirectTo({
              url: "/pages/login/index"
            });
          }
        },
        fail: () => {
          common_vendor.index.redirectTo({
            url: "/pages/login/index"
          });
        }
      });
    }, 800);
    return (_ctx, _cache) => {
      return {};
    };
  }
};
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-3a00e0de"], ["__file", "C:/Users/bzm15/Desktop/ix/mini_web-develop/pages/cover/index.vue"]]);
wx.createPage(MiniProgramPage);
